Listar processos de revisão cadastral
curl --request GET \
--url https://api.malga.io/v1/sellers/registration-reviews \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers/registration-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers/registration-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"processId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sellerId": "ea115e44-7048-11ed-a1eb-0242ac120002",
"provider": "ZOOP",
"providerId": "8f14e45f-ceea-467a-9e6f-6c1a5b3a1f2d",
"reviewType": "acp",
"status": "pending",
"deadlineAt": "2026-09-15T23:59:59.000Z",
"daysRemaining": 18,
"requestedFields": {
"raw": [
"revenue",
"owner.address.postal_code"
],
"fields": [
{
"path": "revenue",
"type": "enum",
"required": true,
"providerField": "revenue",
"label": {
"pt-br": "Faixa de faturamento",
"en": "Revenue range"
},
"allowedValues": [
"10000_to_50000",
"50000_to_100000",
"100000_to_500000"
]
},
{
"path": "owner.address.zipCode",
"type": "string",
"required": true,
"providerField": "owner.address.postal_code",
"label": {
"pt-br": "CEP",
"en": "Postal code"
},
"format": {
"pt-br": "8 dígitos, sem pontuação",
"en": "8 digits, no punctuation"
},
"pattern": "^[0-9]{8}$"
}
]
},
"requestedFieldsPending": false,
"createdAt": "2026-08-28T13:04:11.320Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 100,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Sellers
Listar processos de revisão cadastral
Retorna os processos de revisão cadastral abertos pelos provedores para os seus recebedores, do mais recente para o mais antigo.
Use esta rota para montar a fila de trabalho: os processos em pending e overdue aguardam o envio dos dados coletados.
GET
/
v1
/
sellers
/
registration-reviews
Listar processos de revisão cadastral
curl --request GET \
--url https://api.malga.io/v1/sellers/registration-reviews \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers/registration-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sellers/registration-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"processId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sellerId": "ea115e44-7048-11ed-a1eb-0242ac120002",
"provider": "ZOOP",
"providerId": "8f14e45f-ceea-467a-9e6f-6c1a5b3a1f2d",
"reviewType": "acp",
"status": "pending",
"deadlineAt": "2026-09-15T23:59:59.000Z",
"daysRemaining": 18,
"requestedFields": {
"raw": [
"revenue",
"owner.address.postal_code"
],
"fields": [
{
"path": "revenue",
"type": "enum",
"required": true,
"providerField": "revenue",
"label": {
"pt-br": "Faixa de faturamento",
"en": "Revenue range"
},
"allowedValues": [
"10000_to_50000",
"50000_to_100000",
"100000_to_500000"
]
},
{
"path": "owner.address.zipCode",
"type": "string",
"required": true,
"providerField": "owner.address.postal_code",
"label": {
"pt-br": "CEP",
"en": "Postal code"
},
"format": {
"pt-br": "8 dígitos, sem pontuação",
"en": "8 digits, no punctuation"
},
"pattern": "^[0-9]{8}$"
}
]
},
"requestedFieldsPending": false,
"createdAt": "2026-08-28T13:04:11.320Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 100,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Query Parameters
Situação do processo. Aceita múltiplos valores separados por vírgula (ex. pending,overdue).
Available options:
unmatched, pending, overdue, submitting, submit_failed, expired, finished, canceled Tipo da revisão — acp para a periódica e aci para a motivada por inconsistência.
Available options:
acp, aci Página da consulta
Required range:
x >= 1Limite de itens retornados na consulta (máximo 100)
Required range:
1 <= x <= 100Was this page helpful?